# \Thelia\RoutingNullUrlGenerator

## Summary

Methods
Properties
Constants
setContext()
getContext()
generate()
No public properties found
No constants found
No protected methods found
$context
N/A
No private methods found
No private properties found
N/A

File
  Routing/NullUrlGenerator.php
Package
  \Default
Class hierarchy
  \Thelia\Routing\NullUrlGenerator

## Tags

None found

## Properties

### $context

    $context

#

## Tags

None found

## Methods

### setContext()

    setContext(\Symfony\Component\Routing\RequestContext $context)

Sets the request context.

#### Parameters

\Symfony\Component\Routing\RequestContext | $context | The context

#

## Tags

api |

### getContext()

    getContext() : \Symfony\Component\Routing\RequestContext

Gets the request context.

#### Returns

\Symfony\Component\Routing\RequestContext —

The context

#

## Tags

api |

### generate()

    generate(string $name, mixed $parameters, Boolean|string $referenceType) : string

Generates a URL or path for a specific route based on the given parameters.

Parameters that reference placeholders in the route pattern will substitute them in the path or host. Extra params are added as query string to the URL.

When the passed reference type cannot be generated for the route because it requires a different host or scheme than the current one, the method will return a more comprehensive reference that includes the required params. For example, when you call this method with $referenceType = ABSOLUTE_PATH but the route requires the https scheme whereas the current scheme is http, it will instead return an ABSOLUTE_URL with the https scheme and the current host. This makes sure the generated URL matches the route in any case.

If there is no route with the given name, the generator must throw the RouteNotFoundException.

#### Parameters

string | $name | The name of the route
mixed | $parameters | An array of parameters
Boolean|string | $referenceType | The type of reference to be generated (one of the constants)

#### Throws

\Symfony\Component\Routing\Exception\RouteNotFoundException

  If the named route doesn't exist

\Symfony\Component\Routing\Exception\MissingMandatoryParametersException

  When some parameters are missing that are mandatory for the route

\Symfony\Component\Routing\Exception\InvalidParameterException

  When a parameter value for a placeholder is not correct because it does not match the requirement

#### Returns

string —

The generated URL

#

## Tags

api |

### NullUrlGenerator.php